<?php
// Copyright 1999-2015. Parallels IP Holdings GmbH. All Rights Reserved.

class DropFpseUsers extends Upgrader\Migration
{
    public function change()
    {
        if ($this->_driver->isTableExists('fpse_users') && $this->_driver->isTableExists('sys_users')) {
            if ($this->_driver->isTableExists('accounts')) {
                $this->_driver->query('DELETE a FROM accounts a
                  JOIN sys_users su ON a.id = su.account_id
                  JOIN fpse_users fu ON su.id = fu.sys_user_id');
            }

            $this->_driver->query('DELETE su FROM sys_users su
              JOIN fpse_users fu ON su.id = fu.sys_user_id');
        }
        $this->dropTable('fpse_users');
    }
}
