<?php
// Copyright 1999-2015. Parallels IP Holdings GmbH. All Rights Reserved.

class CreateDatabaseCustomHosts extends Upgrader\Migration
{
    public function change()
    {
        $this->createTable('DatabaseCustomHosts', [
            'description' => 'Database custom hosts storage',
            'columns' => [
                'id' => ['type' => self::TYPE_FOREIGN_KEY, 'foreignKey' => 'data_bases.id', 'deleteCascade' => true],
                'host' => self::TYPE_STRING,
            ],
            'indexes' => [
                'id' => [
                    'type' => self::INDEX_PRIMARY,
                    'columns' => ['id'],
                ],
            ]
        ]);
    }
}
